mobile-widgets
List mobile widgets
GET
/
api
/
mobile_widgets
List mobile widgets
curl --request GET \
--url https://api.fluid.app/api/mobile_widgets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/mobile_widgets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/mobile_widgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"droplet_installation_id": 123,
"company_id": 123,
"cover_image_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"embed_url": "<string>",
"height": 123,
"name": "<string>",
"page_scope": {
"home": true,
"explore": true
},
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"message": "<string>"
}Authorizations
Bearer token authentication
Response
(object | null)[]
Success
Unique identifier of the mobile widget
ID of the company droplet
ID of the company
URL of the widget's cover image
Creation timestamp
URL where the widget is embedded
Height of the widget in pixels
Name of the mobile widget
Show child attributes
Show child attributes
Last update timestamp
⌘I
List mobile widgets
